---
title: MathML attribute reference
slug: Web/MathML/Attribute
tags:
  - MathML
  - MathML Reference
---
<div>{{MathMLRef}}</div>

<p>This is an alphabetical list of MathML attributes. More details for each attribute are available on particular <a href="/en-US/docs/MathML/Element">element pages</a>.</p>

<p>Notes:</p>

<ul>
 <li>The MathML {{ MathMLElement("mstyle") }} and {{ MathMLElement("math") }} {{ gecko_minversion_inline("7.0") }} elements accept all attributes of all MathML presentation elements.</li>
 <li>See <a href="/en-US/docs/MathML/Attributes/Values">values</a> for notes on values and units in MathML.</li>
 <li>The attributes <code>background</code>, <code>color</code>, <code>fontfamily</code>, <code>fontsize</code>, <code>fontstyle</code>, <code>fontweight</code> and <code>xlink:href</code> are deprecated.</li>
 <li>The <a href="/en-US/docs/Glossary/XLink">XLink</a> attributes on MathML elements: <code>xlink:actuate</code>, <code>xlink:href</code>, <code>xlink:show</code> and <code>xlink:type</code> are deprecated as well.</li>
</ul>

<table class="standard-table">
 <thead>
  <tr>
   <th>Name</th>
   <th>Elements accepting attribute</th>
   <th>Description</th>
  </tr>
 </thead>
 <tbody>
  <tr id="accent">
   <td><code>accent</code></td>
   <td>{{ MathMLElement("mo") }}, {{ MathMLElement("mover") }}, {{ MathMLElement("munderover") }}</td>
   <td>A Boolean value specifying whether the operator should be treated as an accent.</td>
  </tr>
  <tr id="accentunder">
   <td><code>accentunder</code></td>
   <td>{{ MathMLElement("munder") }}, {{ MathMLElement("munderover") }}</td>
   <td>A Boolean value specifying whether the operator should be treated as an accent.</td>
  </tr>
  <tr id="actiontype">
   <td><code>actiontype</code></td>
   <td>{{ MathMLElement("maction") }}</td>
   <td>A string value specifying the action happening for this element.</td>
  </tr>
  <tr id="align">
   <td><code>align</code> {{deprecated_inline}}</td>
   <td>{{ MathMLElement("mtable") }}<br>
    {{ MathMLElement("munder") }}, {{ MathMLElement("mover") }}, {{ MathMLElement("munderover") }}<br>
    {{ MathMLElement("mstack") }}</td>
   <td>Specifies different alignments of several elements (see element pages for details).</td>
  </tr>
  <tr id="alignmentscope">
   <td>{{ unimplemented_inline() }} <code>alignmentscope</code></td>
   <td>{{ MathMLElement("mtable") }}</td>
   <td>A Boolean value specifying whether table columns should act as alignment scopes or not.</td>
  </tr>
  <tr id="alt-*">
   <td>{{ unimplemented_inline() }}<br>
    <code>altimg</code><br>
    <code>altimg-width</code><br>
    <code>altimg-height</code><br>
    <code>altimg-valign</code><br>
    <code>alttext</code></td>
   <td>{{ MathMLElement("math") }}</td>
   <td>Visual and textual fall-back options.</td>
  </tr>
  <tr id="bevelled">
   <td><code>bevelled</code> {{deprecated_inline}}</td>
   <td>{{ MathMLElement("mfrac") }}</td>
   <td>Specifies the style how the fraction should be displayed. Deprecated. Use U+2044 (fraction slash) instead.</td>
  </tr>
  <tr id="charalign">
   <td>{{ unimplemented_inline() }} <code>charalign</code></td>
   <td>{{ MathMLElement("mstack") }}</td>
   <td>Specifies the horizontal alignment of digits.</td>
  </tr>
  <tr id="close">
   <td><code>close</code></td>
   <td>{{ MathMLElement("mfenced") }}</td>
   <td>A string for the closing delimiter.</td>
  </tr>
  <tr id="columnalign">
   <td><code>columnalign</code></td>
   <td>{{ MathMLElement("mtable") }}, {{ MathMLElement("mtd") }}, {{ MathMLElement("mtr") }}, {{ MathMLElement("mlabeledtr") }}</td>
   <td>Specifies the horizontal alignment of table cells.</td>
  </tr>
  <tr id="columnlines">
   <td><code>columnlines</code></td>
   <td>{{ MathMLElement("mtable") }}</td>
   <td>Specifies table column borders.</td>
  </tr>
  <tr id="columnspacing">
   <td><code>columnspacing</code></td>
   <td>{{ MathMLElement("mtable") }}</td>
   <td>Specifies the space between table columns.</td>
  </tr>
  <tr id="columnspan">
   <td><code>columnspan</code></td>
   <td>{{ MathMLElement("mtd") }}</td>
   <td>A non-negative integer value that indicates over how many table columns the cell extends.</td>
  </tr>
  <tr id="columnwidth">
   <td>{{ unimplemented_inline() }} <code>columnwidth</code></td>
   <td>{{ MathMLElement("mtable") }}</td>
   <td>Specifies the width of table columns.</td>
  </tr>
  <tr id="crossout">
   <td>{{ unimplemented_inline() }} <code>crossout</code></td>
   <td>{{ MathMLElement("mscarry") }}</td>
   <td>Specifies what kind of line is drawn to cross out carries.</td>
  </tr>
  <tr id="decimalpoint">
   <td>{{ unimplemented_inline() }} <code>decimalpoint</code></td>
   <td>{{ MathMLElement("mstyle") }}</td>
   <td>If the <code>decimalpoint</code> value is used to specify the <a href="#align">alignment</a>, this attribute is specifying the character for the alignment point within {{ MathMLElement("mstack") }} and {{ MathMLElement("mtable") }} columns.</td>
  </tr>
  <tr id="denomalign">
   <td><code>denomalign</code> {{deprecated_inline}}</td>
   <td>{{ MathMLElement("mfrac") }}</td>
   <td>The alignment of the denominator under the fraction.</td>
  </tr>
  <tr id="depth">
   <td><code>depth</code></td>
   <td>{{ MathMLElement("mpadded") }}</td>
   <td>Sets or increments the depth. See <a href="/en-US/docs/MathML/Attributes/Values">length</a>.</td>
  </tr>
  <tr id="dir">
   <td><code>dir</code></td>
   <td>{{ MathMLElement("math") }}, {{ MathMLElement("mi") }}, {{ MathMLElement("mo") }}, {{ MathMLElement("mrow") }}, {{ MathMLElement("ms") }}, {{ MathMLElement("mtext") }}</td>
   <td>The text direction. Possible values are either ltr (left to right) or rtl (right to left).</td>
  </tr>
  <tr id="display">
   <td><code>display</code></td>
   <td>{{ MathMLElement("math") }}</td>
   <td>Specifies the rendering mode. The values <code>block</code> and <code>inline</code> are allowed.</td>
  </tr>
  <tr id="displaystyle">
   <td><code>displaystyle</code></td>
   <td><em>All</em></td>
   <td>
    <p>A Boolean value specifying whether more vertical space is used for displayed equations or, if set to <code>false</code>, a more compact layout is used to display formulas.</p>

    <p><em>In MathML 3 this attribute was only valid on {{ MathMLElement("mstyle") }}, {{ MathMLElement("mtable") }}, and  {{ MathMLElement("math") }}.</em></p>
   </td>
  </tr>
  <tr id="edge">
   <td>{{ unimplemented_inline() }} <code>edge</code></td>
   <td>{{ MathMLElement("malignmark") }}</td>
   <td></td>
  </tr>
  <tr id="equalcolumns">
   <td>{{ unimplemented_inline() }} <code>equalcolumns</code></td>
   <td>{{ MathMLElement("mtable") }}</td>
   <td>A Boolean value indicating whether to force all columns to have the same total height.</td>
  </tr>
  <tr id="equalrows">
   <td>{{ unimplemented_inline() }} <code>equalrows</code></td>
   <td>{{ MathMLElement("mtable") }}</td>
   <td>A Boolean value indicating whether to force all rows to have the same total height.</td>
  </tr>
  <tr id="fence">
   <td><code>fence</code></td>
   <td>{{ MathMLElement("mo") }}</td>
   <td>A Boolean value specifying whether the operator is a fence (such as parentheses). There is no visual effect for this attribute.</td>
  </tr>
  <tr id="form">
   <td>{{ unimplemented_inline() }} <code>form</code></td>
   <td>{{ MathMLElement("mo") }}</td>
   <td>Specifies the role of the operator in an enclosed expression.</td>
  </tr>
  <tr id="frame">
   <td><code>frame</code></td>
   <td>{{ MathMLElement("mtable") }}</td>
   <td>Specifies borders of an entire {{ MathMLElement("mtable") }}. Possible values are: <code>none</code> (default), <code>solid</code> and <code>dashed</code>.</td>
  </tr>
  <tr id="framespacing">
   <td><code>framespacing</code></td>
   <td>{{ MathMLElement("mtable") }}</td>
   <td>Specifies additional space added between the table and <code>frame</code>.</td>
  </tr>
  <tr id="groupalign">
   <td>{{ unimplemented_inline() }} <code>groupalign</code></td>
   <td>{{ MathMLElement("maligngroup") }}, {{ MathMLElement("mtable") }}, {{ MathMLElement("mtd") }}, {{ MathMLElement("mtr") }}</td>
   <td></td>
  </tr>
  <tr id="height">
   <td><code>height</code></td>
   <td>{{ MathMLElement("mglyph") }}, {{ MathMLElement("mpadded") }}, {{ MathMLElement("mspace") }}</td>
   <td>Specifies the desired height. See <a href="/en-US/docs/MathML/Attributes/Values#Lengths">lengths</a> for possible values.</td>
  </tr>
  <tr id="href">
   <td><code>href</code></td>
   <td><em>All</em></td>
   <td>Used to set a hyperlink to a specified URI.</td>
  </tr>
  <tr id="id">
   <td><code>id</code></td>
   <td><em>All</em></td>
   <td>Sets up a unique identifier associated with the element.</td>
  </tr>
  <tr id="indentalign">
   <td>{{ unimplemented_inline() }} <code>indentalign</code></td>
   <td>{{ MathMLElement("mo") }}, {{ MathMLElement("mspace") }}</td>
   <td></td>
  </tr>
  <tr id="indentalignfirst">
   <td>{{ unimplemented_inline() }} <code>indentalignfirst</code></td>
   <td>{{ MathMLElement("mo") }}, {{ MathMLElement("mspace") }}</td>
   <td></td>
  </tr>
  <tr id="indentalignlast">
   <td>{{ unimplemented_inline() }} <code>indentalignlast</code></td>
   <td>{{ MathMLElement("mo") }}, {{ MathMLElement("mspace") }}</td>
   <td></td>
  </tr>
  <tr id="indentshift">
   <td>{{ unimplemented_inline() }} <code>indentshift</code></td>
   <td>{{ MathMLElement("mo") }}, {{ MathMLElement("mspace") }}</td>
   <td></td>
  </tr>
  <tr id="indentshiftfirst">
   <td>{{ unimplemented_inline() }} <code>indentshiftfirst</code></td>
   <td>{{ MathMLElement("mo") }}, {{ MathMLElement("mspace") }}</td>
   <td></td>
  </tr>
  <tr id="indentshiftlast">
   <td>{{ unimplemented_inline() }} <code>indentshiftlast</code></td>
   <td>{{ MathMLElement("mo") }}, {{ MathMLElement("mspace") }}</td>
   <td></td>
  </tr>
  <tr id="indenttarget">
   <td>{{ unimplemented_inline() }} <code>indenttarget</code></td>
   <td>{{ MathMLElement("mo") }}, {{ MathMLElement("mspace") }}</td>
   <td></td>
  </tr>
  <tr id="infixlinebreakstyle">
   <td>{{ unimplemented_inline() }} <code>infixlinebreakstyle</code></td>
   <td>{{ MathMLElement("mstyle") }}</td>
   <td>Specifies the default <code>linebreakstyle</code> to use for infix operators.</td>
  </tr>
  <tr id="largeop">
   <td><code>largeop</code></td>
   <td>{{ MathMLElement("mo") }}</td>
   <td>Specifies whether the operator should be drawn larger than normal.</td>
  </tr>
  <tr id="length">
   <td><code>length</code></td>
   <td>{{ MathMLElement("msline") }}</td>
   <td></td>
  </tr>
  <tr id="linebreak">
   <td>{{ unimplemented_inline() }} <code>linebreak</code></td>
   <td>{{ MathMLElement("mo") }}, {{ MathMLElement("mspace") }}</td>
   <td></td>
  </tr>
  <tr id="linebreakmultchar">
   <td>{{ unimplemented_inline() }} <code>linebreakmultchar</code></td>
   <td>{{ MathMLElement("mo") }}, {{ MathMLElement("mspace") }}</td>
   <td></td>
  </tr>
  <tr id="linebreakstyle">
   <td>{{ unimplemented_inline() }} <code>linebreakstyle</code></td>
   <td>{{ MathMLElement("mo") }}, {{ MathMLElement("mspace") }}</td>
   <td></td>
  </tr>
  <tr id="lineleading">
   <td>{{ unimplemented_inline() }} <code>lineleading</code></td>
   <td>{{ MathMLElement("mo") }}, {{ MathMLElement("mspace") }}</td>
   <td></td>
  </tr>
  <tr id="linethickness">
   <td><code>linethickness</code></td>
   <td>{{ MathMLElement("mfrac") }}</td>
   <td>The thickness of the horizontal fraction line.</td>
  </tr>
  <tr id="location">
   <td>{{ unimplemented_inline() }} <code>location</code></td>
   <td>{{ MathMLElement("mscarries") }}</td>
   <td></td>
  </tr>
  <tr id="longdivstyle">
   <td>{{ unimplemented_inline() }} <code>longdivstyle</code></td>
   <td>{{ MathMLElement("mlongdiv") }}</td>
   <td>Controls the style of the long division layout.</td>
  </tr>
  <tr id="lspace">
   <td><code>lspace</code></td>
   <td>{{ MathMLElement("mo") }}, {{ MathMLElement("mpadded") }}</td>
   <td>The amount of space before the operator (see <a href="/en-US/docs/MathML/Attributes/Values#Lengths">length</a> for values and units).</td>
  </tr>
  <tr id="lquote">
   <td><code>lquote</code></td>
   <td>{{ MathMLElement("ms") }}</td>
   <td>The opening quote character (depends on <code>dir</code>) to enclose the content. The default value is "<code>&amp;quot;</code>".</td>
  </tr>
  <tr id="mathbackground">
   <td><code>mathbackground</code></td>
   <td><em>All</em></td>
   <td>The background color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#HTML.2fSVG.2fX11.c2.a0_Color_Keywords">HTML color names</a>.</td>
  </tr>
  <tr id="mathcolor">
   <td><code>mathcolor</code></td>
   <td><em>All</em></td>
   <td>The text color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#HTML.2fSVG.2fX11.c2.a0_Color_Keywords">HTML color names</a>.</td>
  </tr>
  <tr id="mathsize">
   <td><code>mathsize</code></td>
   <td>{{ MathMLElement("mi") }}, {{ MathMLElement("mn") }}, {{ MathMLElement("mo") }}, {{ MathMLElement("ms") }}, {{ MathMLElement("mtext") }}</td>
   <td>The size of the content.</td>
  </tr>
  <tr id="mathvariant">
   <td><code>mathvariant</code></td>
   <td>{{ MathMLElement("mi") }}, {{ MathMLElement("mn") }}, {{ MathMLElement("mo") }}, {{ MathMLElement("ms") }}, {{ MathMLElement("mtext") }}</td>
   <td>The logical class of the identifier, which varies in typography.</td>
  </tr>
  <tr id="maxsize">
   <td><code>maxsize</code></td>
   <td>{{ MathMLElement("mo") }}</td>
   <td>The maximum size of the operator.</td>
  </tr>
  <tr id="minlabelspacing">
   <td>{{ unimplemented_inline() }} <code>minlabelspacing</code></td>
   <td>{{ MathMLElement("mtable") }}</td>
   <td>A <a href="/en-US/docs/MathML/Attributes/Values">length value</a> specifing the minimum space between a <a href="Element/mlabeledtr" rel="internal" title="/en-US/docs/MathML/Element/mlabeledtr">label</a> and the adjacent cell in the row.</td>
  </tr>
  <tr id="minsize">
   <td><code>minsize</code></td>
   <td>{{ MathMLElement("mo") }}</td>
   <td>The minimum size of the operator.</td>
  </tr>
  <tr id="movablelimits">
   <td><code>movablelimits</code></td>
   <td>{{ MathMLElement("mo") }}</td>
   <td>Specifies whether attached under- and overscripts move to sub- and superscript positions.</td>
  </tr>
  <tr id="notation">
   <td><code>notation</code></td>
   <td>{{ MathMLElement("menclose") }}</td>
   <td>A list of notations, separated by white space, to apply to the child elements.</td>
  </tr>
  <tr id="numalign">
   <td><code>numalign</code> {{deprecated_inline}}</td>
   <td>{{ MathMLElement("mfrac") }}</td>
   <td>The alignment of the numerator over the fraction.</td>
  </tr>
  <tr id="open">
   <td><code>open</code></td>
   <td>{{ MathMLElement("mfenced") }}</td>
   <td>A string for the opening delimiter.</td>
  </tr>
  <tr id="overflow">
   <td>{{ unimplemented_inline() }} <code>overflow</code></td>
   <td>{{ MathMLElement("math") }}</td>
   <td>If an expression is too long to fit in the allowed width, this attribute sets the preferred handling.</td>
  </tr>
  <tr id="position">
   <td>{{ unimplemented_inline() }} <code>position</code></td>
   <td>{{ MathMLElement("msgroup") }}, {{ MathMLElement("msrow") }}, {{ MathMLElement("mscarries") }}, {{ MathMLElement("msline") }}</td>
   <td></td>
  </tr>
  <tr id="rowalign">
   <td><code>rowalign</code></td>
   <td>{{ MathMLElement("mtable") }}, {{ MathMLElement("mtd") }}, {{ MathMLElement("mtr") }}</td>
   <td>Specifies the vertical alignment of table cells.</td>
  </tr>
  <tr id="rowlines">
   <td><code>rowlines</code></td>
   <td>{{ MathMLElement("mtable") }}</td>
   <td>Specifies table row borders.</td>
  </tr>
  <tr id="rowspacing">
   <td><code>rowspacing</code></td>
   <td>{{ MathMLElement("mtable") }}</td>
   <td>Specifies the space between table rows.</td>
  </tr>
  <tr id="rowspan">
   <td><code>rowspan</code></td>
   <td>{{ MathMLElement("mtd") }}</td>
   <td>A non-negative integer value that indicates on how many rows does the cell extend.</td>
  </tr>
  <tr id="rspace">
   <td><code>rspace</code></td>
   <td>{{ MathMLElement("mo") }}</td>
   <td>The amount of space after the operator.</td>
  </tr>
  <tr id="rquote">
   <td><code>rquote</code></td>
   <td>{{ MathMLElement("ms") }}</td>
   <td>The closing quote mark (depends on <code>dir</code>) to enclose the content. The default value is "<code>&amp;quot;</code>".</td>
  </tr>
  <tr id="scriptlevel">
   <td><code>scriptlevel</code></td>
   <td>{{ MathMLElement("mstyle") }}</td>
   <td>Controls mostly the font-size. The higher the <code>scriptlevel</code>, the smaller the font size.</td>
  </tr>
  <tr id="scriptminsize">
   <td><code>scriptminsize</code></td>
   <td>{{ MathMLElement("mstyle") }}</td>
   <td>Specifies a minimum font size allowed due to changes in <code>scriptlevel</code>.</td>
  </tr>
  <tr id="scriptsizemultiplier">
   <td><code>scriptsizemultiplier</code></td>
   <td>{{ MathMLElement("mstyle") }}</td>
   <td>Specifies the multiplier to be used to adjust font size due to changes in <code>scriptlevel</code>.</td>
  </tr>
  <tr id="selection">
   <td><code>selection</code></td>
   <td>{{ MathMLElement("maction") }}</td>
   <td>The child element which is addressed by the action.</td>
  </tr>
  <tr id="separator">
   <td><code>separator</code></td>
   <td>{{ MathMLElement("mo") }}</td>
   <td>There is no visual effect for this attribute, but it specifies whether the operator is a separator (such as commas).</td>
  </tr>
  <tr id="separators">
   <td><code>separators</code></td>
   <td>{{ MathMLElement("mfenced") }}</td>
   <td>A sequence of zero or more characters to be used for different separators.</td>
  </tr>
  <tr id="shift">
   <td>{{ unimplemented_inline() }} <code>shift</code></td>
   <td>{{ MathMLElement("msgroup") }}</td>
   <td></td>
  </tr>
  <tr id="side">
   <td>{{ unimplemented_inline() }} <code>side</code></td>
   <td>{{ MathMLElement("mtable") }}</td>
   <td>Specifies the position where {{ MathMLElement("mlabeledtr") }} label elements should be placed.</td>
  </tr>
  <tr id="src">
   <td>{{ unimplemented_inline() }} <code>src</code></td>
   <td>{{ MathMLElement("mglyph") }}</td>
   <td>The location of the image resource.</td>
  </tr>
  <tr id="stackalign">
   <td>{{ unimplemented_inline() }} <code>stackalign</code></td>
   <td>{{ MathMLElement("mstack") }}</td>
   <td></td>
  </tr>
  <tr id="stretchy">
   <td><code>stretchy</code></td>
   <td>{{ MathMLElement("mo") }}</td>
   <td>Specifies whether the operator stretches to the size of the adjacent element.</td>
  </tr>
  <tr id="subscriptshift">
   <td><code>subscriptshift</code> {{deprecated_inline}}</td>
   <td>{{ MathMLElement("mmultiscripts") }}, {{ MathMLElement("msub") }}, {{ MathMLElement("msubsup") }}</td>
   <td>The minimum space by which to shift the subscript below the baseline of the expression.</td>
  </tr>
  <tr id="supscriptshift">
   <td><code>supscriptshift</code> {{deprecated_inline}}</td>
   <td>{{ MathMLElement("mmultiscripts") }}, {{ MathMLElement("msup") }}, {{ MathMLElement("msubsup") }}</td>
   <td>The minimum space by which to shift the superscript above the baseline of the expression.</td>
  </tr>
  <tr id="symmetric">
   <td><code>symmetric</code></td>
   <td>{{ MathMLElement("mo") }}</td>
   <td>If <code>stretchy</code> is <code>true</code>, this attribute specifies whether the operator should be vertically symmetric around the imaginary math axis (centered fraction line).</td>
  </tr>
  <tr id="voffset">
   <td><code>voffset</code></td>
   <td>{{ MathMLElement("mpadded") }}</td>
   <td>Sets the vertical position of the child content.</td>
  </tr>
  <tr id="width">
   <td><code>width</code></td>
   <td>{{ MathMLElement("mglyph") }}, {{ MathMLElement("mpadded") }}, {{ MathMLElement("mspace") }}, {{ MathMLElement("mtable") }}</td>
   <td>Specifies the desired width. See <a href="/en-US/docs/MathML/Attributes/Values#Lengths">lengths</a> for possible values.</td>
  </tr>
  <tr id="xlink-href">
   <td><code>xlink:href</code> {{deprecated_inline}}</td>
   <td><em>All</em></td>
   <td>Can be used to set a hyperlink to a specfied URI. However, authors are encouraged to use the <code>href</code> attribute instead.</td>
  </tr>
  <tr id="xmlns">
   <td><code>xmlns</code></td>
   <td>{{ MathMLElement("math") }}</td>
   <td>Specifies the URI for the MathML namespace (<code><a class="external" href="http://www.w3.org/1998/Math/MathML" rel="freelink">http://www.w3.org/1998/Math/MathML</a></code>)</td>
  </tr>
 </tbody>
</table>
